
Libprelude - Bug #319

Prelude-manager won't work after libprelude 0.9.20.2 -> 0.9.21

10/03/2008 02:17 PM - 

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Yoann VANDOORSELAERE % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 0.9.22   

Resolution: fixed   

Description

I've updated libprelude from 0.9.20.2 to 0.9.21 but found that prelude-manager refuses to start now, It writes to log:

prelude-manager: ERROR: error opening directory '/usr/local/prelude/prelude-manager': No such file

 or directory. (idmef-message-scheduler.c:588 idmef_message_scheduler_init)

 

This directory never exists. Configure options were the same. After I've rolled back to 0.9.20.2 I was able to start prelude-manager.

0.9.20.2 -> /usr/local/lib/libprelude.so.2.15.3

0.9.21    -> /usr/local/lib/libprelude.so.2.16.0

History

#1 - 10/03/2008 02:24 PM - 

Sorry, forgot to add second error line from log:

prelude-manager: ERROR: couldn't initialize alert scheduler. (prelude-manager.c:259 main)

#2 - 10/03/2008 03:08 PM - Yoann VANDOORSELAERE

The problem happen when specific path, outside of the provided installation prefix are used. Could you please try the attached patch?

#3 - 10/03/2008 03:20 PM - 

Patch doesn't help much (the same error, different path):

prelude-manager: ERROR: error opening directory '/usr/local//var/spool/prelude/prelude-manager': No such file or directory.

(idmef-message-scheduler.c:588 idmef_message_scheduler_init)

prelude-manager: ERROR: couldn't initialize alert scheduler. (prelude-manager.c:259 main)

I've configured libprelude with configure --localstatedir=/var

#4 - 10/03/2008 03:28 PM - Yoann VANDOORSELAERE

Thanks for the report, completed patch attached.

#5 - 10/03/2008 03:48 PM - 

Thanks, yoann. It works.
#6 - 10/03/2008 04:58 PM - Yoann VANDOORSELAERE

Here's another update, that fixes some problem with the previous patch. Can you confirm that it still work as expected?

#7 - 10/03/2008 05:13 PM - 

Applied, started. Seems to work.

#8 - 10/03/2008 05:20 PM - Yoann VANDOORSELAERE

- Resolution set to fixed

(In r11052) Fix path issue in case libprelude was configured with specific path

outside of $prefix (fix #319).

#9 - 04/29/2009 12:04 PM - Yoann VANDOORSELAERE

- Project changed from PRELUDE SIEM to Libprelude

- Category deleted (1)

- Target version deleted (92)

Files

relpath.diff 8.23 KB 10/03/2008 Yoann VANDOORSELAERE

relpath.2.diff 9.14 KB 10/03/2008 Yoann VANDOORSELAERE
